> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configuration

> GetConfiguration

 Returns information about the configuration.



## OpenAPI

````yaml get /streaming/configurations/v1/{configuration_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /streaming/configurations/v1/{configuration_id}:
    get:
      tags:
        - ConfigurationService
      description: |-
        GetConfiguration

         Returns information about the configuration.
      operationId: ConfigurationService_GetConfiguration
      parameters:
        - name: configuration_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.streaming.configuration.v1.GetConfigurationResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.streaming.configuration.v1.GetConfigurationResponse:
      type: object
      properties:
        configuration:
          $ref: '#/components/schemas/motto.streaming.configuration.v1.Configuration'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.streaming.configuration.v1.Configuration:
      required:
        - project_id
        - name
      type: object
      properties:
        id:
          readOnly: true
          type: string
        project_id:
          type: string
        name:
          type: string
          description: The name of the configuration.
        description:
          type: string
          description: The description of the configuration.
        default:
          type: boolean
          description: >-
            Indicates whether this configuration should be applied by default
            when no configuration is attached to a workflow or simulcast.
             There can only be one default configuration per type.
        disabled:
          type: boolean
          description: >-
            Indicates that the configuration should not appear as a selectable
            option in the UI. This configuration will still be usable
             by any object it is connected to.
        type:
          enum:
            - CONFIGURATION_TYPE_UNSPECIFIED
            - CONFIGURATION_TYPE_TRANSCODER_STREAMS
            - CONFIGURATION_TYPE_TRANSCODER_OVERLAYS
            - CONFIGURATION_TYPE_AUTOMATED_TAGGING
          type: string
          description: >-
            The type of the configuration. This is used to determine which
            configuration options are available.
          format: enum
        data:
          allOf:
            - $ref: >-
                #/components/schemas/motto.streaming.configuration.v1.ConfigurationData
          description: The data for the configuration based on the type.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.streaming.configuration.v1.ConfigurationData:
      type: object
      properties:
        transcoder_streams:
          allOf:
            - $ref: >-
                #/components/schemas/motto.streaming.configuration.v1.TranscoderStreamsConfiguration
          description: >-
            The configuration is for transcoder streams.


            Important: at most one of `transcoder_streams`,
            `transcoder_overlays`, `automated_tagging` may be set per request.
        transcoder_overlays:
          allOf:
            - $ref: >-
                #/components/schemas/motto.streaming.configuration.v1.TranscoderOverlaysConfiguration
          description: >-
            The configuration is for transcoder overlays (e.g. logos,
            watermarks).


            Important: at most one of `transcoder_streams`,
            `transcoder_overlays`, `automated_tagging` may be set per request.
        automated_tagging:
          allOf:
            - $ref: >-
                #/components/schemas/motto.streaming.configuration.v1.AutomatedTaggingConfiguration
          description: >-
            The configuration is for automated annotation tagging (AI).


            Important: at most one of `transcoder_streams`,
            `transcoder_overlays`, `automated_tagging` may be set per request.
      description: The data for the configuration. This should match the ConfigurationType.
    motto.streaming.configuration.v1.TranscoderStreamsConfiguration:
      type: object
      properties:
        streams:
          type: array
          items:
            $ref: >-
              #/components/schemas/motto.streaming.configuration.v1.TranscoderStream
          description: >-
            A transcoder can have multiple streams. Each stream will be
            transcoded separately.
      description: The configuration is for transcoder streams.
    motto.streaming.configuration.v1.TranscoderOverlaysConfiguration:
      type: object
      properties:
        static_overlays:
          type: array
          items:
            $ref: >-
              #/components/schemas/motto.streaming.configuration.v1.StaticOverlay
          description: >-
            A list of static image overlays that should be applied to the
            transcoded video.
             For dynamic overlays (e.g. scoreboards or moving sponsorship graphics), please consult the documentation or
             contact Motto support.
      description: The configuration is for transcoder overlays (e.g. logos, watermarks).
    motto.streaming.configuration.v1.AutomatedTaggingConfiguration:
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether automated annotation tagging should be enabled for the
            workflow. Defaults to false, as it comes with additional costs.
      description: The configuration is for automated annotation tagging (AI).
    motto.streaming.configuration.v1.TranscoderStream:
      type: object
      properties:
        video_quality:
          enum:
            - VIDEO_QUALITY_UNSPECIFIED
            - VIDEO_QUALITY_240P
            - VIDEO_QUALITY_360P
            - VIDEO_QUALITY_480P
            - VIDEO_QUALITY_720P
            - VIDEO_QUALITY_1080P
            - VIDEO_QUALITY_1440P
            - VIDEO_QUALITY_2160P
          type: string
          description: >-
            The quality of the video stream. Together with the aspect ratio,
            this will determine the resolution of the transcoded video.
          format: enum
        video_aspect_ratio:
          enum:
            - VIDEO_ASPECT_RATIO_UNSPECIFIED
            - VIDEO_ASPECT_RATIO_16_9
            - VIDEO_ASPECT_RATIO_9_16
          type: string
          description: >-
            The aspect ratio of the video stream. Together with the quality,
            this will determine the resolution of the transcoded video.
          format: enum
        video_bitrate:
          type: integer
          description: >-
            The bitrate of the video stream in bits per second for the
            transcoded output. This is the target bitrate, the actual
             bitrate may vary slightly.
          format: int32
        video_framerate:
          type: integer
          description: >-
            The framerate of the video stream in frames per second for the
            transcoded output. This is the target framerate, the
             actual framerate may vary slightly.
          format: int32
        video_keyframe_interval:
          type: number
          description: >-
            The interval between key frames in seconds for the transcoded
            output.
             It must not be longer than segment duration. Is it recommended to set this to a divisor of the segment duration
             (e.g. 2 seconds for a 6-second segment duration).
          format: float
        segment_duration:
          type: number
          description: >-
            The output segment size in seconds. Motto currently supports values
            between 4 and 10 seconds. For low-latency
             streaming (e.g. LL-HLS), please consult the documentation or contact Motto support.
          format: float
      description: The transcoder stream configuration
    motto.streaming.configuration.v1.StaticOverlay:
      type: object
      properties:
        asset_id:
          type: string
          description: The Motto asset ID of the overlay image.
        x:
          type: number
          description: >-
            The horizontal position of the overlay as a fraction between 0 and
            1, where 0 indicates the left edge of the video,
             and 1 the right edge.
          format: float
        'y':
          type: number
          description: >-
            The vertical position of the overlay as a fraction between 0 and 1,
            where 0 indicates the top edge of the video,
             and 1 the bottom edge.
          format: float
        width:
          type: number
          description: >-
            A value between 0 and 1 that indicates the width of the overlay
            image as a percentage of the video width.
          format: float
        height:
          type: number
          description: >-
            A value between 0 and 1 that indicates the height of the overlay
            image as a percentage of the video height.
             If not set while width is known, the aspect ratio of the image will be preserved.
          format: float
      description: The static overlay configuration
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````